Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.action
Class ProjectAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.action.ProjectAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  AutosynchronizeTrees, BuildProject, CascadeWindows, Clear, CloseAllWindows, CloseCurrentView, CloseProject, ConfigureProject, Copy, CreateProject, Cut, DetachCurrentView, ExitApplication, ExportPluginAction, ImportPluginAction, LocalProjectAction, LookAndFeelAction, OpenProject, OpenRemoteProject, Paste, RedoAction, ShowAboutBox, ShowAboutPluginsBox, ShowCommandHistoryAction, ShowEncodingAndLocales, ShowIconDialog, ShowIncludedProjects, ShowMetrics, SynchronizeTrees, UndoAction

    public abstract class ProjectAction

extends StandardAction

Base class for actions that access the current project. By default instances of this class are disabled if no project is loaded. To override this call #setEnabled(boolean) in the constructor.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `ProjectAction(ResourceKey key)`
`protected` | `ProjectAction(ResourceKey key, boolean useLargeIcon)`
`protected` | `ProjectAction(String text)`
`protected` | `ProjectAction(String label, Icon icon)`

Method Summary
`protected static CommandManager` | `getCommandManager()`
`protected static KnowledgeBase` | `getKnowledgeBase()`
`protected static JComponent` | `getMainPanel()`
`protected static Project` | `getProject()`
`protected static ProjectManager` | `getProjectManager()`
`protected static ProjectView` | `getProjectView()`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Constructor Detail

### ProjectAction

    protected ProjectAction(String text)

### ProjectAction

    protected ProjectAction(String label,
                            Icon icon)

### ProjectAction

    protected ProjectAction(ResourceKey key)

### ProjectAction

    protected ProjectAction(ResourceKey key,
                            boolean useLargeIcon)

Method Detail

### getProjectManager

    protected static ProjectManager getProjectManager()

### getProject

    protected static Project getProject()

### getKnowledgeBase

    protected static KnowledgeBase getKnowledgeBase()

### getProjectView

    protected static ProjectView getProjectView()

### getCommandManager

    protected static CommandManager getCommandManager()

### getMainPanel

    protected static JComponent getMainPanel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.